package test.org.seasar.extension.jta;

import junit.framework.Test;
import junit.framework.TestSuite;
import test.org.seasar.extension.jta.xa.XaAllTests;

/**
 * @author higa
 *
 */
public class JtaAllTests {

	public static void main(String[] args) {
		junit.textui.TestRunner.run(JtaAllTests.class);
	}

	public static Test suite() {
		TestSuite suite =
			new TestSuite("Test for test.org.seasar.extension.jta");
		//$JUnit-BEGIN$
		suite.addTest(new TestSuite(TransactionImplTest.class));
		suite.addTest(new TestSuite(TransactionManagerImplTest.class));
		suite.addTest(XaAllTests.suite());
		//$JUnit-END$
		return suite;
	}
}
